DateTool (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.buf.DateTool class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Class DateTool

    java.lang.Object
      org.apache.tomcat.util.buf.DateTool

Deprecated. Will be replaced with a more efficient impl, based on FastDateFormat, with an API using less objects.

    public class DateTool

extends java.lang.Object

Common place for date utils.

Author:
  dac@eng.sun.com, Jason Hunter [jch@eng.sun.com], James Todd [gonzo@eng.sun.com], Costin Manolache

Field Summary
`static java.lang.String` | `asctimePattern` Deprecated.
`static java.util.TimeZone` | `GMT_ZONE` Deprecated. GMT timezone - all HTTP dates are on GMT
`static java.lang.String` | `rfc1036Pattern` Deprecated.
`static java.lang.String` | `RFC1123_PATTERN` Deprecated. format for RFC 1123 date string -- "Sun, 06 Nov 1994 08:49:37 GMT"

Constructor Summary
`DateTool()` Deprecated.

Method Summary
`static java.lang.String` | `format1123(java.util.Date d)` Deprecated.
`static java.lang.String` | `format1123(java.util.Date d, java.text.DateFormat df)` Deprecated.
`static java.lang.String` | `formatOldCookie(java.util.Date d)` Deprecated.
`static void` | `formatOldCookie(java.util.Date d, java.lang.StringBuffer sb, java.text.FieldPosition fp)` Deprecated.
`static long` | `parseDate(java.lang.String dateString)` Deprecated. Called from HttpServletRequest.getDateHeader().
`static long` | `parseDate(java.lang.String dateString, java.text.DateFormat[] format)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GMT_ZONE

    public static final java.util.TimeZone GMT_ZONE

  Deprecated.
  GMT timezone - all HTTP dates are on GMT

### RFC1123_PATTERN

    public static final java.lang.String RFC1123_PATTERN

  Deprecated.
  format for RFC 1123 date string -- "Sun, 06 Nov 1994 08:49:37 GMT"

  See Also:
    Constant Field Values

### rfc1036Pattern

    public static final java.lang.String rfc1036Pattern

  Deprecated.
  See Also:
    Constant Field Values

### asctimePattern

    public static final java.lang.String asctimePattern

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### DateTool

    public DateTool()

  Deprecated.

Method Detail

### format1123

    public static java.lang.String format1123(java.util.Date d)

  Deprecated.

### format1123

    public static java.lang.String format1123(java.util.Date d,
                                              java.text.DateFormat df)

  Deprecated.

### formatOldCookie

    public static void formatOldCookie(java.util.Date d,
                                       java.lang.StringBuffer sb,
                                       java.text.FieldPosition fp)

  Deprecated.

### formatOldCookie

    public static java.lang.String formatOldCookie(java.util.Date d)

  Deprecated.

### parseDate

    public static long parseDate(java.lang.String dateString)

  Deprecated.
  Called from HttpServletRequest.getDateHeader(). Not efficient - but not very used.

### parseDate

    public static long parseDate(java.lang.String dateString,
                                 java.text.DateFormat[] format)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.